org.apache.ignite.internal.processors.query

## Class QueryEntityEx

- java.lang.Object
- - org.apache.ignite.cache.QueryEntity
  - - org.apache.ignite.internal.processors.query.QueryEntityEx

All Implemented Interfaces:
  Serializable

    public class QueryEntityEx
    extends QueryEntity

Extended query entity with not-null fields support.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QueryEntityEx()` Default constructor.
`QueryEntityEx(QueryEntity other)` Copying constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`boolean` `fillAbsentPKsWithDefaults()`
`QueryEntity` `fillAbsentPKsWithDefaults(boolean fillAbsentPKsWithDefaults)`
`Integer` `getAffinityKeyInlineSize()` Returns INLINE_SIZE for affinity field index.
`@Nullable Set<String>` `getNotNullFields()` Gets names of fields that must be checked for null.
`Integer` `getPrimaryKeyInlineSize()` Returns INLINE_SIZE for PK index.
`int` `hashCode()`
`boolean` `implicitPk()`
`QueryEntity` `implicitPk(boolean implicitPk)`
`boolean` `isPreserveKeysOrder()`
`QueryEntity` `setAffinityKeyInlineSize(Integer affKeyInlineSize)` Sets INLINE_SIZE for AFFINITY_KEY index.
`QueryEntity` `setNotNullFields(@Nullable Set<String> notNullFields)` Sets names of fields that must checked for null.
`QueryEntity` `setPreserveKeysOrder(boolean preserveKeysOrder)`
`QueryEntity` `setPrimaryKeyInlineSize(Integer pkInlineSize)` Sets INLINE_SIZE for PK index.
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.QueryEntity

`addQueryField, findKeyType, findValueType, getAliases, getDefaultFieldValues, getFields, getFieldsPrecision, getFieldsScale, getIndexes, getKeyFieldName, getKeyFields, getKeyType, getTableName, getValueFieldName, getValueType, makePatch, setAliases, setDefaultFieldValues, setFields, setFieldsPrecision, setFieldsScale, setIndexes, setKeyFieldName, setKeyFields, setKeyType, setTableName, setValueFieldName, setValueType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryEntityEx

    public QueryEntityEx()

Default constructor.

#### QueryEntityEx

    public QueryEntityEx(QueryEntity other)

Copying constructor.

Parameters:
  `other` - Instance to copy.

### Method Detail

#### getNotNullFields

    @Nullable
    public @Nullable Set<String> getNotNullFields()

Gets names of fields that must be checked for null.

Overrides:
  `getNotNullFields` in class `QueryEntity`
Returns:
  Set of names of fields that must have non-null values.

#### setNotNullFields

    public QueryEntity setNotNullFields(@Nullable
                                        @Nullable Set<String> notNullFields)

Sets names of fields that must checked for null.

Overrides:
  `setNotNullFields` in class `QueryEntity`
Parameters:
  `notNullFields` - Set of names of fields that must have non-null values.
Returns:
  `this` for chaining.

#### isPreserveKeysOrder

    public boolean isPreserveKeysOrder()

Returns:
  `true` if order should be preserved, `false` otherwise.

#### setPreserveKeysOrder

    public QueryEntity setPreserveKeysOrder(boolean preserveKeysOrder)

Parameters:
  `preserveKeysOrder` - Whether the order should be preserved or not.
Returns:
  `this` for chaining.

#### implicitPk

    public boolean implicitPk()

#### implicitPk

    public QueryEntity implicitPk(boolean implicitPk)

#### fillAbsentPKsWithDefaults

    public boolean fillAbsentPKsWithDefaults()

Returns:
  `true` if absent PK parts should be filled with defaults, `false` otherwise.

#### fillAbsentPKsWithDefaults

    public QueryEntity fillAbsentPKsWithDefaults(boolean fillAbsentPKsWithDefaults)

Parameters:
  `fillAbsentPKsWithDefaults` - Whether absent PK parts should be filled with defaults or not.
Returns:
  `this` for chaining.

#### getPrimaryKeyInlineSize

    public Integer getPrimaryKeyInlineSize()

Returns INLINE_SIZE for PK index.

Returns:
  INLINE_SIZE for PK index.

#### setPrimaryKeyInlineSize

    public QueryEntity setPrimaryKeyInlineSize(Integer pkInlineSize)

Sets INLINE_SIZE for PK index.

Parameters:
  `pkInlineSize` - INLINE_SIZE for PK index, when `null` - inline size is calculated automativally.
Returns:
  `this` for chaining.

#### getAffinityKeyInlineSize

    public Integer getAffinityKeyInlineSize()

Returns INLINE_SIZE for affinity field index.

Returns:
  INLINE_SIZE for affinity field index.

#### setAffinityKeyInlineSize

    public QueryEntity setAffinityKeyInlineSize(Integer affKeyInlineSize)

Sets INLINE_SIZE for AFFINITY_KEY index.

Parameters:
  `affKeyInlineSize` - INLINE_SIZE for AFFINITY_KEY index, when `null` - inline size is calculated automativally.
Returns:
  `this` for chaining.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `QueryEntity`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `QueryEntity`

#### toString

    public String toString()

Overrides:
  `toString` in class `QueryEntity`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022